OpenJPEG: j2kheader_manager.h File Reference

OpenJPEG 2.5.4

Functions
j2kheader_manager.h File Reference
`#include "byte_manager.h"`
`#include "index_manager.h"`

Go to the source code of this file.

## Functions
OPJ_BOOL | get_mainheader_from_j2kstream (Byte_t *j2kstream, SIZmarker_param_t *SIZ, CODmarker_param_t *COD)
| get main header information from j2k codestream
OPJ_BOOL | modify_mainheader (Byte_t *j2kstream, int numOfdecomp, SIZmarker_param_t SIZ, CODmarker_param_t COD, Byte8_t *j2klen)
| modify main header in j2k codestream to fit with the new number of decompositions
OPJ_BOOL | modify_tileheader (Byte_t *j2kstream, Byte8_t SOToffset, int numOfdecomp, Byte2_t Csiz, Byte8_t *j2klen)
| modify tile header in j2k codestream to fit with the tile part length, and new number of decompositions for multi-componet images

## Function Documentation

## ◆ get_mainheader_from_j2kstream()

OPJ_BOOL get_mainheader_from_j2kstream | ( | Byte_t * | j2kstream,
|  | SIZmarker_param_t * | SIZ,
|  | CODmarker_param_t * | COD )

get main header information from j2k codestream

Parameters

  [in] | j2kstream | j2k codestream
  [out] | SIZ | SIZ marker pointer
  [out] | COD | COD marker pointer

Returns
  if succeeded (true) or failed (false)

References big2(), FCGI_stderr, get_CODmkrdata_from_j2kstream(), get_SIZmkrdata_from_j2kstream(), CODmarker_param::Lcod, SIZmarker_param::Lsiz, OPJ_FALSE, and OPJ_TRUE.

Referenced by get_SIZ_from_jpipstream(), recons_codestream_from_JPPstream(), and recons_codestream_from_JPTstream().

## ◆ modify_mainheader()

OPJ_BOOL modify_mainheader | ( | Byte_t * | j2kstream,
|  | int | numOfdecomp,
|  | SIZmarker_param_t | SIZ,
|  | CODmarker_param_t | COD,
|  | Byte8_t * | j2klen )

modify main header in j2k codestream to fit with the new number of decompositions

Parameters

  [in] | j2kstream | j2k codestream
  [in] | numOfdecomp | the New number of decompositions
  [in] | SIZ | original SIZ marker information
  [in] | COD | original COD marker information
  [out] | j2klen | pointer to the length of j2k code stream

Returns
  if succeeded (true) or failed (false)

References FCGI_stderr, CODmarker_param::Lcod, SIZmarker_param::Lsiz, modify_CODmkrstream(), modify_SIZmkrstream(), CODmarker_param::numOfdecomp, OPJ_FALSE, and OPJ_TRUE.

Referenced by recons_codestream_from_JPPstream().

## ◆ modify_tileheader()

OPJ_BOOL modify_tileheader | ( | Byte_t * | j2kstream,
|  | Byte8_t | SOToffset,
|  | int | numOfdecomp,
|  | Byte2_t | Csiz,
|  | Byte8_t * | j2klen )

modify tile header in j2k codestream to fit with the tile part length, and new number of decompositions for multi-componet images

Parameters

  [in] | j2kstream | j2k codestream
  [in] | SOToffset | offset of SOT marker from the beginning of j2kstream
  [in] | numOfdecomp | the New number of decompositions, -1 if the same as original
  [in] | Csiz | number of components
  [out] | j2klen | pointer to the length of j2k code stream

Returns
  if succeeded (true) or failed (false)

References FCGI_stderr, modify_4Bytecode(), modify_COCmkrstream(), OPJ_FALSE, and OPJ_TRUE.

Referenced by recons_codestream_from_JPPstream().